package cn.superdesk.uniorder.service.accounting.unified.customer;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerOrderGoods;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-01-06 17:46:38
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-01-06 17:46:38
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedCustomerOrderGoodsService extends BaseService<AccountingUnifiedCustomerOrderGoods> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(AccountingUnifiedCustomerOrderGoods entity);

    int updateByPrimaryKeySelective(AccountingUnifiedCustomerOrderGoods entity);

	@Deprecated
	void deleteObj(Long id);

	void deleteByAccountingUnifiedCustomerOrderId(Long accountingUnifiedCustomerOrderId);

	@Deprecated
	AccountingUnifiedCustomerOrderGoods findById(Long id);

	@Deprecated
	PageInfo<AccountingUnifiedCustomerOrderGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingUnifiedCustomerOrderGoods> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingUnifiedCustomerOrderGoods(AccountingUnifiedCustomerOrderGoods entity);

	void updateAccountingUnifiedCustomerOrderGoods(AccountingUnifiedCustomerOrderGoods entity);

	void deleteAccountingUnifiedCustomerOrderGoods(Long id);

	AccountingUnifiedCustomerOrderGoods findAccountingUnifiedCustomerOrderGoodsById(Long id);

	R<List<AccountingUnifiedCustomerOrderGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


}